[arch-commits] Commit in tracker/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Wed Mar 6 19:09:06 UTC 2019


    Date: Wednesday, March 6, 2019 @ 19:09:06
  Author: heftig
Revision: 347160

archrelease: copy trunk to extra-x86_64

Added:
  tracker/repos/extra-x86_64/PKGBUILD
    (from rev 347159, tracker/trunk/PKGBUILD)
Deleted:
  tracker/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  102 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-06 19:08:49 UTC (rev 347159)
+++ PKGBUILD	2019-03-06 19:09:06 UTC (rev 347160)
@@ -1,51 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Alexander Fehr <pizzapunk gmail com>
-
-pkgname=tracker
-pkgver=2.2.0
-pkgrel=3
-pkgdesc="Desktop-neutral user information store, search tool and indexer"
-url="https://wiki.gnome.org/Projects/Tracker"
-arch=(x86_64)
-license=(GPL)
-depends=(sqlite icu glib2 libffi util-linux libstemmer libseccomp libsoup json-glib upower libnm)
-makedepends=(gobject-introspection intltool vala git gtk-doc bash-completion meson)
-checkdepends=(python2-gobject python2-dbus)
-groups=(gnome)
-_commit=b70b9e159538852f9a8cd267ad5d4d0b57fd8074  # tags/2_2_0^0
-source=("git+https://gitlab.gnome.org/GNOME/tracker.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-
-  # Could not insert metadata for item "file:///…/foo.pdf": Parser error at byte XXX: Expected ObjectList
-  git cherry-pick -n 639d9b614afb9cb5eb6f7cc8d52d98ba04ad43a9
-
-  # Looks like a bugfix
-  git cherry-pick -n de70127517b7e86ca13fcc5554cb6dde270a27fa
-}
-
-build() {
-  # LTO breaks due to duplicate types:
-  # https://gitlab.gnome.org/GNOME/tracker/issues/44
-  arch-meson $pkgname build -D b_lto=false -D docs=true
-  ninja -C build
-}
-
-check() {
-  # Many tests are broken:
-  # - Assume schemas are installed
-  # - Assume services are autolaunched
-  dbus-run-session meson test -C build || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: tracker/repos/extra-x86_64/PKGBUILD (from rev 347159, tracker/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-06 19:09:06 UTC (rev 347160)
@@ -0,0 +1,51 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Alexander Fehr <pizzapunk gmail com>
+
+pkgname=tracker
+pkgver=2.2.1
+pkgrel=1
+pkgdesc="Desktop-neutral user information store, search tool and indexer"
+url="https://wiki.gnome.org/Projects/Tracker"
+arch=(x86_64)
+license=(GPL)
+depends=(sqlite icu glib2 libffi util-linux libstemmer libseccomp libsoup json-glib upower libnm)
+makedepends=(gobject-introspection intltool vala git gtk-doc bash-completion meson)
+checkdepends=(python-gobject python-dbus)
+groups=(gnome)
+_commit=c09ac0beda85498b365a89863a2cfb25b490202a  # tags/2.2.1^0
+source=("git+https://gitlab.gnome.org/GNOME/tracker.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  # Could not insert metadata for item "file:///…/foo.pdf": Parser error at byte XXX: Expected ObjectList
+  git cherry-pick -n 639d9b614afb9cb5eb6f7cc8d52d98ba04ad43a9
+
+  # Looks like a bugfix
+  git cherry-pick -n de70127517b7e86ca13fcc5554cb6dde270a27fa
+}
+
+build() {
+  # LTO breaks due to duplicate types:
+  # https://gitlab.gnome.org/GNOME/tracker/issues/44
+  arch-meson $pkgname build -D b_lto=false -D docs=true
+  ninja -C build
+}
+
+check() {
+  # Many tests are broken:
+  # - Assume schemas are installed
+  # - Assume services are autolaunched
+  dbus-run-session meson test -C build || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list